Package org.bgerp.plugin.bil.subscription

# Class Config

java.lang.Object
org.bgerp.app.cfg.Config
org.bgerp.plugin.bil.subscription.Config

public class Config extends Config

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.bgerp.app.cfg.Config

  `Config.InitStopException`

- ## Field Summary

  ### Fields inherited from class org.bgerp.app.cfg.Config

  `EMPTY, log`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Config(ConfigMap config)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getParamDateToId()`
  `int`
  `getParamDiscountId()`
  `int`
  `getParamEmailId()`
  `int`
  `getParamLimitId()`
  `int`
  `getParamProductId()`
  `int`
  `getParamServiceCostId()`
  `int`
  `getParamSubscriptionId()`
  `int`
  `getParamUserIncomingTaxPercentId()`
  `Subscription`
  `getSubscriptionOrThrow(int id)`
  `Collection<Subscription>`
  `getSubscriptions()`
  `FileData`
  `updateLic(int processId, ConnectionSet conSet)`

  ### Methods inherited from class org.bgerp.app.cfg.Config

  `initWhen, throwValidationException`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Config

    protected Config(ConfigMap config)

- ## Method Details

  - ### getSubscriptionOrThrow

    public Subscription getSubscriptionOrThrow(int id) throws javassist.NotFoundException
    Throws:
      `javassist.NotFoundException`

  - ### getSubscriptions

    public Collection<Subscription> getSubscriptions()
    Returns:
      subscription sorted by IDs.

  - ### getParamUserIncomingTaxPercentId

    public int getParamUserIncomingTaxPercentId()

  - ### getParamEmailId

    public int getParamEmailId()

  - ### getParamSubscriptionId

    public int getParamSubscriptionId()

  - ### getParamLimitId

    public int getParamLimitId()

  - ### getParamDateToId

    public int getParamDateToId()

  - ### getParamProductId

    public int getParamProductId()

  - ### getParamServiceCostId

    public int getParamServiceCostId()

  - ### getParamDiscountId

    public int getParamDiscountId()

  - ### updateLic

    public FileData updateLic(int processId, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`